Subject: bug#15312: Info (point-entered, point-left): Doc incomplete, hence incorrect

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Sep 2013 16:29:20 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Fri, 13 Sep 2013 09:12:49 -0400
> 
> > ,----  (info "(elisp) Not Intervals")
> > | "What are the properties of this character?"  So we have decided these
> > | are the only questions that make sense; we have not implemented asking
> > | questions about where intervals start or end.
> > `----
> 
> We should indeed amend the above: while text-properties indeed only
> apply to individual characters, and are not intervals (contrary to
> overlays), there are several places where we consider runs of
> consecutive characters that share the same property value (and more
> specifically, we use `eq' as the equality predicate in those cases).
> 
> This is the case for example for `mouse-face' since we don't just want
> to highlight the character under the mouse.
> 
> It's also the case for point-entered/left, otherwise "entering/leaving"
> is kind of meaningless (remember that point is never in/on a character,
> but always between 2 characters).

Sorry, I don't understand what you are saying about the original issue
with point-entered/left.  Are you saying that the code works
correctly, or are you saying it has a bug?